POST
Create a read replica of a PostgreSQL service

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

id
string
required

Service ID

Body

application/json

Create a read replica of a PostgreSQL service

cpu_size
number<float>

CPU allocation for the replica (defaults to primary's value)

ram_size
integer<int32>

RAM allocation in megabytes (defaults to primary's value)

Response

Create a read replica of a PostgreSQL service

Api_V1_Entities_Service model

uuid
string
required

Service UUID

name
string
required

Service name

label
string
required

Display name

service_type
string
required

Service type (postgres, shared_storage)

state
string
required

Current state. While provisioning: pending, processing, creating, stopped. Once running, the live Kubernetes status: healthy (postgres/mysql/valkey), bound (storage), or running when the status is unavailable. Unhealthy: degraded, degradated, failing, lost, crashloopbackoff, failed

project_id
string
required

Associated project UUID

resource_id
string
required

Assigned resource UUID

miget_id
string
required

DEPRECATED: use resource_id instead

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

connection_details
object
required

Connection details for the service

Example: